Bug 123452 - user accounts with very large UIDs given UID for nfsnobody
user accounts with very large UIDs given UID for nfsnobody
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Paradis
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-18 14:26 EDT by Tom Georgoulias
Modified: 2013-08-05 21:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-02 00:31:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Georgoulias 2004-05-18 14:26:47 EDT
Description of problem:
User accounts with large UID values are changed to are mapped to the
username nfsnobody and the UID 65534

Version-Release number of selected component (if applicable):
2.4.21-15.ELsmp

How reproducible:
Every time.

Steps to Reproduce:
1. Create account with UID of ~10000000
2. Log in as that user.
3. Create files.
  
Actual results:

On a system running RHEL3 WS AMD 64:

Linux:winston:43% id
uid=12035128
 <snipped for security>
Linux:winston:44% cd /tmp
Linux:winston:45% touch test_uid
Linux:winston:46% ls -lnd test
-rw-rw-r--    1 65534    40              0 May 18 08:08 test_uid
Linux:winston:47%


Expected results:

On a Xeon system running RHEL3 WS:

Linux:hatfield1:43% id
uid=12035128
 <snipped for security>
Linux:hatfield1:44% touch test_uid
Linux:hatfield1:45% ls -lnd test_uid
-rw-rw-r--    1 12035128 40              0 May 18 08:31 test_uid
Linux:hatfield1:46%


Additional info:
Comment 1 Jim Paradis 2004-05-20 11:36:15 EDT
This is a duplicate of Bug 117435, which will be fixed in RHEL3-U3.

*** This bug has been marked as a duplicate of 117435 ***
Comment 2 John Flanagan 2004-09-02 00:31:36 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-433.html

Note You need to log in before you can comment on or make changes to this bug.